Bug 186114 - Instructions for preparing USB boot media can cause loss of hard drive partition table
Summary: Instructions for preparing USB boot media can cause loss of hard drive partit...
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora Documentation
Classification: Fedora
Component: install-guide (Show other bugs)
(Show other bugs)
Version: devel
Hardware: All Linux
medium
high
Target Milestone: ---
Assignee: Stuart Ellis
QA Contact: Paul W. Frields
URL: http://fedora.redhat.com/docs/fedora-...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-03-21 18:47 UTC by Robin Green
Modified: 2007-04-18 17:40 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-30 18:25:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Robin Green 2006-03-21 18:47:29 UTC
Description of problem:   
At   
http://fedora.redhat.com/docs/fedora-install-guide-en/fc5/sn-preparing-media.html#sn-preparing-usb-media  
the instructions just tell you to type:  
  
dd if=diskboot.img of=/dev/sda  
  
But this could blow away your hard drive partition table (and more besides) if  
you have a SCSI hard drive!!!!  
  
Instead, the docs should explain how to find out the device node of your USB 
device (e.g. look in dmesg). 
 
Version-Release number of selected component (if applicable):   
FC5   
   
How reproducible:   
Haven't tried  
   
Steps to Reproduce:   
(Don't actually do this!)  
1. On a machine with a SCSI hard drive, follow the instructions  
     
Actual results:   
Partition table on SCSI hard drive overwritten   
   
Expected results:   
Boot image written to USB hard drive

Comment 1 Stuart Ellis 2006-04-30 18:25:04 UTC
Thanks - I've amended the CVS version with a procedure for finding out the
correct device node. The HAL device mounting in FC5 doesn't seem to log to
/var/log/dmesg, so I've specified "ls /proc/mounts".

Comment 2 Robin Green 2006-04-30 21:06:24 UTC
(In reply to comment #1)
> The HAL device mounting in FC5 doesn't seem to log to
> /var/log/dmesg

Note that /var/log/dmesg should really be called /var/log/boot-dmesg - it is
only written once per session, on bootup. Everything that happens after bootup
only appears in the output of the dmesg command, but not in /var/log/dmesg.


Comment 3 Stuart Ellis 2006-04-30 22:13:19 UTC
OK, I've now revised the instructions to use the dmesg command.

Thanks again.


Note You need to log in before you can comment on or make changes to this bug.